JBossEAP 6.2 + mod_cluster / JBoss EWS 2.0.1 supported configuration

Latest response

We are in the last 2 weeks of our evaluation for JBoss EAP 6.2 moving from a setup that has JBoss AS 7.1.3 + httpd and mod_cluster as a load balancer for multiple JBoss AS 7.1.3. We made sure that the version of mod_cluster in both JBoss AS 7.1.3 and in Apache httpd 2.2.22 are both the same ( mod_cluster 1.2.3 ).

Now with EAP 6.2, the following two links shows the component details for EAP 6.2 and EWS 2.0.1

https://access.redhat.com/site/articles/112673
https://access.redhat.com/site/articles/111723

The above two links shows that mod_cluster in EAP 6.2 is at 1.2.6 while mod_cluster in EWS is at 1.2.4.

Given that the versions of mod_cluster is different, is using EWS as load balancer / front-end for EAP 6.2 supported ( I mean as in supported by RedHat for paid support ) with these different versions of mod_cluster ? ... or is there a different EWS release that has mod_cluster 1.2.6 ?

Also, if we are doing this on RHEL 6.5, wouldn't this conflict with httpd that comes with RHEL 6.5, which is at httpd 2.2.15 ? ( Note: I have not yet tried to install or configure RedHat JBoss EWS 2.0.1 ). In that case, I presume RedHat will support either or both http 2.2.15 that comes with RHEL 6.5 ( with the assumption that we have RHEL6.5 paid support ) and httpd 2.2.22 that comes with both JBoss EWS 2.0.1 ?

Regards,

John

Responses

Hi John

Apologies first of all for the time taken to respond to you on this. Could you raise a case with this issue on it and we'll get product management and to double check this information and either rectify it if it's wrong or try and put something on the configurations page to make it clearer.

Thanks a lot
Mustafa

I don't think I can raise a case as I am in the evaluation period ( e.g. self-support ).

Hi,

Sorry for late response.

The above two links shows that mod_cluster in EAP 6.2 is at 1.2.6 while mod_cluster in EWS is at 1.2.4.

Given that the versions of mod_cluster is different, is using EWS as load balancer / front-end for EAP 6.2 supported with these different versions of mod_cluster ?
... or is there a different EWS release that has mod_cluster 1.2.6 ?

You can install EAP 6.2 mod_cluster 1.2.6 module on Apache httpd included in EWS 2.0.1. But I would suggest you to use EAP 6 Apache Web Server instead, which is available from EAP 6 download page. Apache httpd included in EAP 6 Apache Web Server is generally same version to the latest JBoss EWS (2.0.1 at this moment). And our QA team fully tested it with mod_jk/mod_cluster, which component can be downloaded in EAP 6 download page.

Also, if we are doing this on RHEL 6.5, wouldn't this conflict with httpd that comes with RHEL 6.5, which is at httpd 2.2.15 ?
In that case, I presume RedHat will support either or both http 2.2.15 that comes with RHEL 6.5 ( with the assumption that we have RHEL6.5 paid support ) and httpd 2.2.22 that comes with both JBoss EWS 2.0.1 ?

We support both "Apache httpd (based on 2.2.15) included in RHEL 6" and "Apache httpd (the latest is based on 2.2.22 at this moment) included in EWS 2.0.1/EAP 6 Apache Web Server". Please refer to the table described in the last section of https://access.redhat.com/site/solutions/18495 for details.

Thanks,
Masafumi